XCB 1.16

Data Fields
xcb_xkb_action_t Union Reference
XCB xkb API

xcb_xkb_action_t More...

`#include <xkb.h>`

Collaboration diagram for xcb_xkb_action_t:
[legend]

## Data Fields
xcb_xkb_sa_no_action_t | noaction
xcb_xkb_sa_set_mods_t | setmods
xcb_xkb_sa_latch_mods_t | latchmods
xcb_xkb_sa_lock_mods_t | lockmods
xcb_xkb_sa_set_group_t | setgroup
xcb_xkb_sa_latch_group_t | latchgroup
xcb_xkb_sa_lock_group_t | lockgroup
xcb_xkb_sa_move_ptr_t | moveptr
xcb_xkb_sa_ptr_btn_t | ptrbtn
xcb_xkb_sa_lock_ptr_btn_t | lockptrbtn
xcb_xkb_sa_set_ptr_dflt_t | setptrdflt
xcb_xkb_sa_iso_lock_t | isolock
xcb_xkb_sa_terminate_t | terminate
xcb_xkb_sa_switch_screen_t | switchscreen
xcb_xkb_sa_set_controls_t | setcontrols
xcb_xkb_sa_lock_controls_t | lockcontrols
xcb_xkb_sa_action_message_t | message
xcb_xkb_sa_redirect_key_t | redirect
xcb_xkb_sa_device_btn_t | devbtn
xcb_xkb_sa_lock_device_btn_t | lockdevbtn
xcb_xkb_sa_device_valuator_t | devval
uint8_t | type

## Detailed Description

xcb_xkb_action_t

The documentation for this union was generated from the following file:

- xkb.h